Flecs: ecs_entity_to_json_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_entity_to_json_desc_t Struct Reference
C API » Addons » Json

Used with ecs_iter_to_json(). More...

`#include <json.h>`

## Public Attributes
bool | serialize_entity_id
| Serialize entity id.
bool | serialize_doc
| Serialize doc attributes.
bool | serialize_full_paths
| Serialize full paths for tags, components and pairs.
bool | serialize_inherited
| Serialize base components.
bool | serialize_values
| Serialize component values.
bool | serialize_builtin
| Serialize builtin data as components (e.g.
bool | serialize_type_info
| Serialize type info (requires serialize_values)
bool | serialize_alerts
| Serialize active alerts for entity.
ecs_entity_t | serialize_refs
| Serialize references (incoming edges) for relationship.
bool | serialize_matches
| Serialize which queries entity matches with.

## Detailed Description

Used with ecs_iter_to_json().

Definition at line 216 of file json.h.

## Member Data Documentation

## ◆ serialize_alerts

bool ecs_entity_to_json_desc_t::serialize_alerts

Serialize active alerts for entity.

Definition at line 224 of file json.h.

## ◆ serialize_builtin

bool ecs_entity_to_json_desc_t::serialize_builtin

Serialize builtin data as components (e.g.

"name", "parent")

Definition at line 222 of file json.h.

## ◆ serialize_doc

bool ecs_entity_to_json_desc_t::serialize_doc

Serialize doc attributes.

Definition at line 218 of file json.h.

## ◆ serialize_entity_id

bool ecs_entity_to_json_desc_t::serialize_entity_id

Serialize entity id.

Definition at line 217 of file json.h.

## ◆ serialize_full_paths

bool ecs_entity_to_json_desc_t::serialize_full_paths

Serialize full paths for tags, components and pairs.

Definition at line 219 of file json.h.

## ◆ serialize_inherited

bool ecs_entity_to_json_desc_t::serialize_inherited

Serialize base components.

Definition at line 220 of file json.h.

## ◆ serialize_matches

bool ecs_entity_to_json_desc_t::serialize_matches

Serialize which queries entity matches with.

Definition at line 226 of file json.h.

## ◆ serialize_refs

ecs_entity_t ecs_entity_to_json_desc_t::serialize_refs

Serialize references (incoming edges) for relationship.

Definition at line 225 of file json.h.

## ◆ serialize_type_info

bool ecs_entity_to_json_desc_t::serialize_type_info

Serialize type info (requires serialize_values)

Definition at line 223 of file json.h.

## ◆ serialize_values

bool ecs_entity_to_json_desc_t::serialize_values

Serialize component values.

Definition at line 221 of file json.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/json.h